Name:          aesh
Version:       0.66.8
Release:       3%{dist}
Summary:       Another Extendable SHell
License:       ASL 2.0
URL:           http://aeshell.github.io/
Source0:       https://github.com/aeshell/aesh/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.fusesource.jansi:jansi)
BuildRequires: mvn(org.jboss:jboss-parent:pom:)

BuildArch:     noarch

%description
Æsh is a Java library for handling console input with the goal to support most
GNU Readline features.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}
# Cleanup
rm -r *gradle*

%pom_xpath_set pom:addClasspath false
# This test @ random fails (koji only)
# ComparisonFailure: expected:<[]foo> but was:<[$<2>]foo>
rm src/test/java/org/jboss/aesh/parser/ParserTest.java
%pom_add_plugin org.apache.maven.plugins:maven-compiler-plugin pom.xml "
                <configuration>
                    <source>1.7</source>
                    <target>1.7</target>
                </configuration>
"

%build
# Disable test failure on ARM builder only
%mvn_build -- -Dmaven.test.failure.ignore=true -Dadditionalparam="-Xdoclint:none"

%install
%mvn_install

%files -f .mfiles
%doc README.asciidoc
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.66.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 12 2016 gil cattaneo <puntogil@libero.it> 0.66.8-2
- fix FTBFS

* Sat Aug 20 2016 gil cattaneo <puntogil@libero.it> 0.66.8-1
- update to 0.66.8

* Thu Jun 23 2016 gil cattaneo <puntogil@libero.it> 0.66.4-2
- disable test failure

* Fri Jun 03 2016 gil cattaneo <puntogil@libero.it> 0.66.4-1
- update to 0.66.4
- fix BRs list and use BR mvn()-like
- introduce license macro
- remove duplicate file
- remove some rpmlint problems

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.33.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.33.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.33.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Sep 11 2013 Marek Goldmann <mgoldman@redhat.com> - 0.33.7-1
- Upstream release 0.33.7

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.33.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 12 2013 Marek Goldmann <mgoldman@redhat.com> - 0.33.3-1
- Initial packaging



